python-requests-1.1.0-3.el6ost.noarch.rpm


Advertisement

Description

python-requests - HTTP library, written in Python, for human beings

Property Value
Distribution CentOS 6
Repository PUIAS Unsupported i386
Package name python-requests
Package version 1.1.0
Package release 3.el6ost
Package architecture noarch
Package type rpm
Installed size 233.61 KB
Download size 70.52 KB
Official Mirror springdale.math.ias.edu
Most existing Python modules for sending HTTP requests are extremely verbose and
cumbersome. Python’s built-in urllib2 module provides most of the HTTP
capabilities you should need, but the API is thoroughly broken. This library is
designed to make HTTP requests easy for developers.

Alternatives

Package Version Architecture Repository
python-requests-2.6.0-4.el6.noarch.rpm 2.6.0 noarch CentOS
python-requests-2.6.0-4.el6.noarch.rpm 2.6.0 noarch CentOS
python-requests-2.5.0-4.el6.psychotic.noarch.rpm 2.5.0 noarch Psychotic Ninja Plus
python-requests-2.5.0-4.el6.psychotic.noarch.rpm 2.5.0 noarch Psychotic Ninja Plus
python-requests-2.3.0-3.el6.psychotic.noarch.rpm 2.3.0 noarch Psychotic Ninja Plus
python-requests-2.3.0-3.el6.psychotic.noarch.rpm 2.3.0 noarch Psychotic Ninja Plus
python-requests-1.1.0-3.el6ost.noarch.rpm 1.1.0 noarch PUIAS Unsupported
python-requests - - -

Requires

Name Value
ca-certificates -
python(abi) = 2.6
python-chardet -
python-ordereddict -
python-urllib3 -

Provides

Name Value
python-requests = 1.1.0-3.el6ost

Download

Type URL
Binary Package python-requests-1.1.0-3.el6ost.noarch.rpm
Source Package python-requests-1.1.0-3.el6ost.src.rpm

Install Howto

  1. Download latest puias-unsupported rpm from
    http://springdale.math.ias.edu/data/puias/unsupported/6/i386/
  2. Install puias-unsupported rpm:
    # rpm -Uvh puias-unsupported*rpm
  3. Install python-requests rpm package:
    # yum install python-requests

Files

Path
/usr/lib/python2.6/site-packages/requests-1.1.0-py2.6.egg-info
/usr/lib/python2.6/site-packages/requests/__init__.py
/usr/lib/python2.6/site-packages/requests/__init__.pyc
/usr/lib/python2.6/site-packages/requests/__init__.pyo
/usr/lib/python2.6/site-packages/requests/adapters.py
/usr/lib/python2.6/site-packages/requests/adapters.pyc
/usr/lib/python2.6/site-packages/requests/adapters.pyo
/usr/lib/python2.6/site-packages/requests/api.py
/usr/lib/python2.6/site-packages/requests/api.pyc
/usr/lib/python2.6/site-packages/requests/api.pyo
/usr/lib/python2.6/site-packages/requests/auth.py
/usr/lib/python2.6/site-packages/requests/auth.pyc
/usr/lib/python2.6/site-packages/requests/auth.pyo
/usr/lib/python2.6/site-packages/requests/certs.py
/usr/lib/python2.6/site-packages/requests/certs.pyc
/usr/lib/python2.6/site-packages/requests/certs.pyo
/usr/lib/python2.6/site-packages/requests/compat.py
/usr/lib/python2.6/site-packages/requests/compat.pyc
/usr/lib/python2.6/site-packages/requests/compat.pyo
/usr/lib/python2.6/site-packages/requests/cookies.py
/usr/lib/python2.6/site-packages/requests/cookies.pyc
/usr/lib/python2.6/site-packages/requests/cookies.pyo
/usr/lib/python2.6/site-packages/requests/exceptions.py
/usr/lib/python2.6/site-packages/requests/exceptions.pyc
/usr/lib/python2.6/site-packages/requests/exceptions.pyo
/usr/lib/python2.6/site-packages/requests/hooks.py
/usr/lib/python2.6/site-packages/requests/hooks.pyc
/usr/lib/python2.6/site-packages/requests/hooks.pyo
/usr/lib/python2.6/site-packages/requests/models.py
/usr/lib/python2.6/site-packages/requests/models.pyc
/usr/lib/python2.6/site-packages/requests/models.pyo
/usr/lib/python2.6/site-packages/requests/sessions.py
/usr/lib/python2.6/site-packages/requests/sessions.pyc
/usr/lib/python2.6/site-packages/requests/sessions.pyo
/usr/lib/python2.6/site-packages/requests/status_codes.py
/usr/lib/python2.6/site-packages/requests/status_codes.pyc
/usr/lib/python2.6/site-packages/requests/status_codes.pyo
/usr/lib/python2.6/site-packages/requests/structures.py
/usr/lib/python2.6/site-packages/requests/structures.pyc
/usr/lib/python2.6/site-packages/requests/structures.pyo
/usr/lib/python2.6/site-packages/requests/utils.py
/usr/lib/python2.6/site-packages/requests/utils.pyc
/usr/lib/python2.6/site-packages/requests/utils.pyo
/usr/share/doc/python-requests-1.1.0/HISTORY.rst
/usr/share/doc/python-requests-1.1.0/LICENSE
/usr/share/doc/python-requests-1.1.0/NOTICE
/usr/share/doc/python-requests-1.1.0/README.rst

Changelog

2013-02-28 - Ralph Bean <rbean@redhat.com> - 1.1.0-3
- Unbundled python-urllib3.  Using system python-urllib3 now.
- Conditionally include python-ordereddict for el6.
2013-02-27 - Ralph Bean <rbean@redhat.com> - 1.1.0-2
- Unbundled python-charade/chardet.  Using system python-chardet now.
- Removed deprecated comments and actions against oauthlib unbundling.
Those are no longer necessary in 1.1.0.
- Added links to bz tickets over Patch declarations.
2013-02-26 - Ralph Bean <rbean@redhat.com> - 1.1.0-1
- Latest upstream.
- Relicense to ASL 2.0 with upstream.
- Removed cookie handling patch (fixed in upstream tarball).
- Updated cert unbundling patch to match upstream.
- Added check section, but left it commented out for koji.
2013-02-08 - Toshio Kuratomi <toshio@fedoraproject.org> - 0.14.1-4
- Let brp_python_bytecompile run again, take care of the non-python{2,3} modules
by removing them from the python{,3}-requests package that they did not belong
in.
- Use the certificates in the ca-certificates package instead of the bundled one
+ https://bugzilla.redhat.com/show_bug.cgi?id=904614
- Fix a problem with cookie handling
+ https://bugzilla.redhat.com/show_bug.cgi?id=906924
2013-01-31 - Ralph Bean <rbean@redhat.com> 0.14.1-3
- Introduced backport patch to support better cookie handling.
2013-01-28 - Ralph Bean <rbean@redhat.com> 0.14.1-2
- Merged latest rawhide into el6.
2012-10-22 - Arun S A G <sagarun@gmail.com>  0.14.1-1
- Updated to latest upstream release
2012-06-10 - Arun S A G <sagarun@gmail.com> 0.13.1-1
- Updated to latest upstream release 0.13.1
- Use system provided ca-certificates
- No more async requests use grrequests https://github.com/kennethreitz/grequests
- Remove gevent as it is no longer required by requests
2012-04-09 - Arun S A G <sagarun@gmail.com> 0.11.1-2
- Fix rhbz#808912
2012-04-01 - Arun S A G <sagarun@gmail.com> 0.11.1-1
- Updated to upstream release 0.11.1

See Also

Package Description
python-rottentomatoes-1.0.1-1.sdl6.noarch.rpm rottentomatoes offers an easy-to-use Python wrapper to interact with the Rotten Tomatoes API
python-sane-2.8.2-3.sdl6.i686.rpm Python SANE interface
python-six-1.1.0-2.1.el6.noarch.rpm Python 2 and 3 compatibility utilities
python-sphinx10-1.0.8-1.sdl6.noarch.rpm Python documentation generator
python-sphinx10-doc-1.0.8-1.sdl6.noarch.rpm Documentation for python-sphinx10
python-unittest2-0.5.1-3.sdl6.noarch.rpm Backport of new unittest features for Python 2.7 to Python 2.4+
python-urllib3-1.5-5.1.2.el6.noarch.rpm Python HTTP library with thread-safe connection pooling and file post
python-virtualenv-1.9.1-1.sdl6.noarch.rpm Tool to create isolated Python environments
python-zmq-2.2.0.1-1.sdl6.i686.rpm Software library for fast, message-based applications
python-zmq-tests-2.2.0.1-1.sdl6.i686.rpm Software library for fast, message-based applications
pyzor-0.5.0-3.puias6.noarch.rpm Pyzor collaborative spam filtering system
qrencode-3.1.1-5.puias6.i686.rpm Generate QR 2D barcodes
qrencode-devel-3.1.1-5.puias6.i686.rpm QR Code encoding library - Development files
qstat-2.11-9.20080912svn311.puias6.i686.rpm Real-time Game Server Status for FPS game servers
qt48-4.8.4-2.puias6.i686.rpm Qt toolkit
Advertisement
Advertisement